import es

info = es.AddonInfo()
info.name           = "Safe RCON"
info.version        = "1.0"
info.author         = "Impact | Master (DanielB)"
info.url            = "http://addons.eventscripts.com/"
info.description    = "Give admins the ability to change Server Varaiables Without giveing them RCON" 


def load():
    es.keygroupload("qadmins", "|qadmin")
    qcheats = 0 # Can "dodgy" server variables be executed (eg sv_cheats) 1 = yes 0 = no
    global qcheats

def unload():
    es.keygroupdelete("qadmins")

def player_say(event_var):
    text = event_var['text'].split(' ', 2)
    global text
    steamid = event_var['es_steamid']
    qadmintmp1 = es.exists("key", "qadmins", steamid)
    if(qadmintmp1 == 1):
        if(text[0] == "/sv_gravity"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es sv_gravity server_var(qadmintmp1)")
        elif(text[0] == "/mp_restartgame"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es mp_restartgame server_var(qadmintmp1)")
        elif(text[0] == "/sv_alltalk"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es sv_alltalk server_var(qadmintmp1)")
        elif(text[0] == "/mp_footsteps"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es mp_footsteps server_var(qadmintmp1)")
        elif(text[0] == "/mp_flashlight"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es mp_flashlight server_var(qadmintmp1)")
        elif(text[0] == "/sv_airaccelerate"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es sv_airaccelerate server_var(qadmintmp1)")
        elif(text[0] == "/sv_maxspeed"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es sv_maxspeed server_var(qadmintmp1)")
        elif(text[0] == "/mp_freezetime"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es mp_freezetime server_var(qadmintmp1)")
        elif(text[0] == "/sv_cheats"):
            if(qcheats == 1):
                es.set("qadmintmp1", text[1])
                es.server.cmd("es sv_cheats server_var(qadmintmp1)")
        elif(text[0] == "/exec"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es exec server_var(qadmintmp1)")
        elif(text[0] == "/es_load"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es es_load server_var(qadmintmp1)")
        elif(text[0] == "/es_unload"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es es_unload server_var(qadmintmp1)")
        elif(text[0] == "/es_enable"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es es_enable server_var(qadmintmp1)")
        elif(text[0] == "/es_disable"):
            es.set("qadmintmp1", text[1])
            es.server.cmd("es es_disable server_var(qadmintmp1)")



		